---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.94.119
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: machine-config-daemon-plfj2
      namespace: openshift-machine-config-operator
      resourceVersion: "8098"
      uid: 4782eaf8-e28f-4d04-a112-60a5707fd67f
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.219
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: machine-config-daemon-cbhkk
      namespace: openshift-machine-config-operator
      resourceVersion: "8128"
      uid: 95a72e7a-40be-455a-9d14-cdbd12c58d71
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.95.76
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: machine-config-daemon-cfgj5
      namespace: openshift-machine-config-operator
      resourceVersion: "8123"
      uid: 02e51bc3-c307-4874-a456-20b5a602d987
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.89.30
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: machine-config-daemon-5qfjm
      namespace: openshift-machine-config-operator
      resourceVersion: "19635"
      uid: 35628a70-fe2d-4610-9f28-00f955382b42
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.235
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: machine-config-daemon-2xgfc
      namespace: openshift-machine-config-operator
      resourceVersion: "19377"
      uid: 6d4dc715-9db8-4b77-b932-0f824b5e7956
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.90.58
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: machine-config-daemon-8ttrt
      namespace: openshift-machine-config-operator
      resourceVersion: "20024"
      uid: 91900c55-2fda-4cbb-a616-334de0f3f7f3
    topology:
      kubernetes.io/hostname: worker-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:35Z"
    creationTimestamp: "2022-03-08T10:13:56Z"
    generateName: machine-config-daemon-
    generation: 13
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: machine-config-daemon
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"f7d2d016-8042-4e5c-96f2-98c5d34b3a1c"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:41Z"
    name: machine-config-daemon-8q5pz
    namespace: openshift-machine-config-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: machine-config-daemon
      uid: f7d2d016-8042-4e5c-96f2-98c5d34b3a1c
    resourceVersion: "20027"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-machine-config-operator/endpointslices/machine-config-daemon-8q5pz
    uid: b6774330-edab-4002-918f-6c749e87ea7b
  ports:
  - name: metrics
    port: 9001
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82952"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-machine-config-operator/endpointslices
